Программа: CubeCart 3.0.12, возможно более ранние версии.

Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "searchArray[]" сценария includes/content/viewCat.inc.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "links". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "gateway" в сценарии includes/content/gateway.inc.php. Удаленный пользователь может с помощью специально сформированного запроса просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.



Оставить мнение